@import (less) "../../extra-libs/multiselect/css/ui.multiselect.css";

@import "~bootstrap/less/bootstrap.less";
@import "~font-awesome/less/font-awesome.less";
@import "~select2-bootstrap-theme/src/select2-bootstrap.less";
@import (less) "~ui-select/dist/select.css";
@import "_variables.less";
@import "_bootstrap-override.less";
@import "_login.less";
@import "_forms.less";
@import "_buttons.less";
@import "_bars.less";
@import "_multiselect.less";
@import "_table.less";
@import "_ngtable.less";
@import "~bootstrap-select/dist/css/bootstrap-select.min.css";

body {
    letter-spacing: 0.5px;
    color: @color-normal;
    height: 100%;
}

.fm-paragraph-submit {
  padding-top: 10px;
}

.clearboth {
  clear: both;
}

.font-italic {
  font-style: italic;
}

.no-underline a:hover {
  text-decoration: none !important
}

.message-stun-address {
  display: none;
  margin-left: 308px;
  margin-bottom: 5px;
  color: red;
}

.warning-mobile-app {
  margin-top: 10px;
}

.warning-error-sccp {
  margin-top: 10px;
}

.dialog-helper {
  position: absolute;
  border: 1px solid @state-info-border;
  color: @state-info-text;
  margin-top: -30px;
  margin-left: ~"calc(25% + 150px)";
  background: @state-info-bg;
  padding: 2px 5px;
  z-index: 1;
  display: none;
}

.dialog-helper-inline {
  position: absolute;
  margin-top: 0px;
  border: 1px solid @state-info-border;
  color: @state-info-text;
  background: @state-info-bg;
  z-index: 1;
  display: none;
}

h4.sb-top  {
  background-color: @xivo-gradient-light-gray;
  padding: 10px 5px;
  border-bottom: 1px solid @nav-tabs-border-color;
}


#bc-content {
  margin-top: 65px;
  float: inherit;
}

#b-content {

  .b-list .td-left {
    width: 54px;
  }

  .monit-group {
    padding: 10px 0;

    .l-subth {
      font-weight: bold;
    }

    .monit-state-notaccessible {color: @xivo-danger;}
    .monit-state-notonline {color: @xivo-dark;}
    .monit-state-notrunning {color: @xivo-dark;}
    .monit-state-accessible {color: @xivo-success;}
    .monit-state-online {color: @xivo-success;}
    .monit-state-running {color: @xivo-success;}
    .monit-state-initializing {color: @xivo-warning;}
    .monit-state-notmonitored {color: @xivo-dark;}
  }

  .gauge {
    margin-top: 10px;
    width: 104px;
    vertical-align: middle;

    div {
      text-align: left;
      background-color: @xivo-light-gray;
      width: 100px;
      height: 10px;

      div {
        background-color: #055a82;
        width: 0px;
      }
    }
  }
  .gaugepercent {
    width: 75px;
  }
}

.exportcsv {
  float: right;
  padding-top: 5px;
}

.slt-list{
  display: inline;

  select {
    min-width: 250px;
  }

  .bt-adddelete {
    position: relative;
    bottom: 135px;
    left: 255px;

    .bt-deletelist {
      margin-top: 5px;
    }
  }
}

#version-copyright {
  text-align: center;
}
.login-box {
  margin-right: 10px;
  padding-left: 10px;

  .badge {
    font-weight: normal;
    padding: 5px 10px;
    margin: 14px 5px;
  }
}

#logo>img {
  width: 100px;
}

.logoff-button {
  padding: 10px 10px 10px 20px;
  position: relative;
  top: 3px;
}
.sysinfo-title {
  text-align: center;
  font-weight: bold;
}

.fm-description {
  padding-bottom: 10px;
  p {
    margin: 0;
  }
}

.b-nodisplay {display: none;}
.b-bdisplay {display: block;}
.b-ldisplay {display: inline;}
.b-page {text-align: right;}

.ui-autocomplete {
	max-height: 200px;
	overflow-y: auto;
	overflow-x: hidden;
}

.ui-icon-arrowthick-2-n-s:hover {
  cursor: move;
}

.mn-active {
  color: @xivo-primary;
}

#b-lmenu .mn-active a {
  font-weight: bold;
}

.underline {
  text-decoration: underline;
}

.help-tooltip {
  left: 5px;
}

.dwho-msg-error-icon, .fm-error-icon {
  color: @xivo-danger;
  padding: 2px 6px;
  margin-right: 30px;
  background-image: url("../../img/site/button/mini/red/bo-error.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.icons-list {
  padding-right: 8px;
  padding-left: 2px;
  position: relative;
  bottom: 2px;

  &.circle {
    bottom: 1px;
  }
}

#box_installer {
	display: none;
	position: fixed;
	z-index: 100;
	top: 0px;
	left: 0px;
	height: 100%;
	width: 100%;

  &.bi_bg {
    background-color: @xivo-dark-gray;
    opacity: 0.75;
  }

  .bi_loading {
    position: fixed;
    height: 75px;
    width: 75px;
    z-index: 103;
    top: 50%;
    left: 50%;
    margin: -38px 0 0 -38px;
  }

  .bi_message {
  	position: fixed;
  	width: 500px;
  	height: 150px;
  	z-index: 103;
  	top: 50%;
  	left: 50%;
  	margin: -75px 0 0 -250px;
  	opacity: 1;
  	padding: 10px;
  	text-align: center;
    font-weight: bold;
    border-radius: 20px;
    background-color: @xivo-light;
    border: 3px solid;
  }
}

#autoprov_dialog {
  position: fixed;
  width: 500px;
  top: 20%;
  left: 50%;
  margin-left: -250px;
  text-align: center;
  visibility: hidden;
  box-shadow: 1px 1px 12px @xivo-dark-gray;
}

.linefeatures-device-select2 {
	width: 200px !important;
  font-size: 8pt;
}

.active-menu {
  font-weight: bold;
}

.active-menu:before {
  padding-right: 3px;
  content: "\e013";
  font-family: 'Glyphicons Halflings';
  font-size: 12px;
  color: @xivo-success;
}

.two_col_separator {
  padding-top: 20px;
  display: flex;

  > div:first-child {
    border-right: solid @xivo-dark 1px;
  }
}

.access_rights_category {
  .panel-heading{
    color: @xivo-primary;
    background-color: @xivo-gradient-light-gray;
    border-color: @xivo-gradient-light-gray;
  }
  td {
    vertical-align: top;
    width: 300px;
  }
  label {
    font-size: 12px;
  }
}

.acces_rights_group {
  margin-bottom: 0px;
  h5 {
    margin: 0px;
  }
  .panel-heading {
    padding-top: 0px;
    padding-bottom: 0px;
    background-color: lighten(@xivo-primary, 7);
    border-color: lighten(@xivo-primary, 7);
  }
  input[type=checkbox] {
    position: relative;
    top: 2px;
  }
}

.acl-category{
  margin-left: 30px;
  input[type=checkbox] {
    position: relative;
    top: 2px;
  }
  .panel-heading{
    padding-top: 0px;
    padding-bottom: 0px;
  }
  .panel-body{
    padding-left: 30px;
    padding-bottom: 0px;
    padding-top: 0px;
  }
  span {
    width: 71%
  }
}

.dwho-suggest {
  & dl dt, & dl dd {
    padding-left: 2px;
    white-space: nowrap;
    cursor: pointer;

    &.dws-highlight {
      background-color: @xivo-primary;
      color: @xivo-light;
    }
  }
}

.dl-horizontal.dl-horizontal-notrunc dt {
  float: left;
  width: 370px;
  overflow: visible;
  clear: left;
  text-align: left;
  text-overflow: clip;
  white-space: normal;
}

.alert-bottom {
  margin-top: 22px;
}

list-with-boxes {

  .listwithboxes-label {
    margin-left: -7px;
    height: 25px;
    margin-bottom: 5px!important;
  }

  .listwithboxes-body {
    padding-top: 6px;
    margin-bottom: 5px!important;

    .listwithboxes-body-list-wrapper {
      border: 1px solid #c6c6c6;
      padding: 2px 10px 5px 10px;
      font-size: 12px;
      line-height: 1.5;
      border-radius: 3px;
      margin-bottom: 5px;
      max-width: 212px!important;

      .listwithboxes-body-list {
        max-width: 200px!important;
        margin: 3px 0;
        padding: 0 0;
        input {
          margin-right: 5px;
        }
      }
    }

    .listwithboxes-scrollable {
      height: 135px;
      overflow-y : auto;
    }

    .listwithboxes-empty {
      font-style: italic;
    }
  }
}

.page-link-container {
  div, a {
    display: inline-block;
    padding: 0 3px;
  }
  a:hover {
    cursor: pointer;
    text-decoration: none;
    font-weight: bold;
  }
}

.hidden-angular-input {
  display: none!important;
}

.users-ng-table {
  tr, td {
    border: 1px solid #e1e1e1!important;
  }
  th:last-child {
      border-right: 1px solid #e1e1e1!important;
  }
}

.ng-table-counts {
  margin: 18px 0px;
  button {
    padding: 6px 12px;
    &:focus {
      outline: 0!important;
    }
  }
}

.st-sort-ascent:after {
  content: '\25B2';
}

.st-sort-descent:after {
  content: '\25BC';
}

.hidden-content {
  + span.select2 {
    display: none;
  }
}

.d-flex {
  display: flex;
}

.justify-content-between {
  justify-content: space-between;
}

.password-actions {
  justify-content: center;
}

.align-items-center {
  align-items: center;
}

.circle-valid {
  content: url("../../img/site/utils/cercle-green.png");
  height: 15px;
  margin-right: 10px;
}

.circle-invalid {
  content: url("../../img/site/utils/cercle-red.png");
  height: 15px;
  margin-right: 10px;
}

.icon {
  width: 24px;
  height: 24px;
  cursor: pointer;
  padding: 3px;
  margin: 0 2px;
}

.icon-eye {
  content: url("../../img/site/button/eye.png");
}

.icon-hide {
  content: url("../../img/site/button/hide.png");
}

.icon-reset {
  content: url("../../img/site/utils/reset.png");
}

.password-input-width {
  width: 15%;
}

button.actions-btn
{
  font-size: 10px;
  text-transform: none;
}

#fd-provd-secure {
  margin-bottom: 18px;
}

#fd-provd-password {
  margin-bottom: 18px;
}

.error-sccp {
  background-color: #f26262 !important;
}

.bold-line {
  font-weight: bolder;
  border-top: 2px solid;
  border-color: #b9b9b9;
  span {
    margin-top: 20px;
    display: block;
  }
}

.bold-line:hover {
  background-color: #fff !important;
}

.input-uneditable {
  pointer-events: none;
  background-color: #dbdbdb;
}

#fd-displays-name {
  .control-label {
    pointer-events: none;
  }
}

#preview-contactsheet {
  font-size: 40px;
  margin-left: 5px;
  color: #ff5722;
  &:hover {
    color: #fff;
    text-shadow: -1px 0 #ff5722, 0 1px #ff5722, 1px 0 #ff5722, 0 -1px #ff5722;
    cursor: help;
  }
}

#directory-def-footer {
  justify-content: unset !important;
}